import { AfterContentInit, OnInit, OnDestroy, QueryList } from '@angular/core';
import { TabController } from '../tab/tab-controller';
import { TabBarItemComponent } from '../tab-bar-item/tab-bar-item.component';
import { ViewState, ViewStateService } from '../view/view-state.service';
export declare class TabBarComponent implements AfterContentInit, OnDestroy, OnInit {
    private tabService;
    private viewStateService;
    private state;
    private steps;
    translate: string;
    opacity: number;
    tabBarItems: QueryList<TabBarItemComponent>;
    tabIndex: number;
    private subs;
    constructor(tabService: TabController, viewStateService: ViewStateService, state: ViewState, steps: number);
    ngOnInit(): void;
    ngAfterContentInit(): void;
    ngOnDestroy(): void;
}
